package com.chenyang.nse.bussiness.dto;

import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructure;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurecolumn;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurespliter;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurewidth;
import java.util.List;
import javax.validation.Valid;

public class FilestructureDTO {
   @Valid
   private TCoreFileStructure filestructure;
   private List<String> fileGroupList;
   @Valid
   private List<TCoreFileStructurecolumn> filestructurecolumn;
   @Valid
   private TCoreFileStructurespliter filestructurespliter;
   @Valid
   private TCoreFileStructurewidth filestructurewidth;

   public TCoreFileStructure getFilestructure() {
      return this.filestructure;
   }

   public void setFilestructure(TCoreFileStructure filestructure) {
      this.filestructure = filestructure;
   }

   public List<TCoreFileStructurecolumn> getFilestructurecolumn() {
      return this.filestructurecolumn;
   }

   public void setFilestructurecolumn(List<TCoreFileStructurecolumn> filestructurecolumn) {
      this.filestructurecolumn = filestructurecolumn;
   }

   public TCoreFileStructurespliter getFilestructurespliter() {
      return this.filestructurespliter;
   }

   public void setFilestructurespliter(TCoreFileStructurespliter filestructurespliter) {
      this.filestructurespliter = filestructurespliter;
   }

   public TCoreFileStructurewidth getFilestructurewidth() {
      return this.filestructurewidth;
   }

   public void setFilestructurewidth(TCoreFileStructurewidth filestructurewidth) {
      this.filestructurewidth = filestructurewidth;
   }

   public List<String> getFileGroupList() {
      return this.fileGroupList;
   }

   public void setFileGroupList(List<String> fileGroupList) {
      this.fileGroupList = fileGroupList;
   }
}
